> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List columns for a warehouse table

GET https://api.sigmacomputing.com/v2/connections/tables/{tableId}/columns

Returns column names, types, and other details for a table in a data warehouse connection.

### Usage notes
- Retrieve the **tableId** by first calling the [/v2/connections/paths](https://help.sigmacomputing.com/reference/list-connection-paths) endpoint to discover available paths, then calling the [/v2/connection/{connectionId}/lookup](https://help.sigmacomputing.com/reference/lookup-connection) endpoint with the path to the desired table and using the `inodeId` included in the response.

Reference: https://help.sigmacomputing.com/reference/list-connection-table-columns

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/connections/tables/{tableId}/columns:
    get:
      operationId: listConnectionTableColumns
      summary: List columns for a warehouse table
      description: >-
        Returns column names, types, and other details for a table in a data
        warehouse connection.


        ### Usage notes

        - Retrieve the **tableId** by first calling the
        [/v2/connections/paths](https://help.sigmacomputing.com/reference/list-connection-paths)
        endpoint to discover available paths, then calling the
        [/v2/connection/{connectionId}/lookup](https://help.sigmacomputing.com/reference/lookup-connection)
        endpoint with the path to the desired table and using the `inodeId`
        included in the response.
      tags:
        - Connections
      parameters:
        - name: tableId
          in: path
          required: true
          schema:
            type: string
        - name: pageToken
          in: query
          required: false
          schema:
            type: string
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/connections_listConnectionTableColumns_Response_200
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2ConnectionsTablesTableIdColumnsGetResponsesContentApplicationJsonSchemaEntriesItemsType:
      type: object
      properties: {}
      description: The column's data type, represented as a recursive type object.
      title: >-
        V2ConnectionsTablesTableIdColumnsGetResponsesContentApplicationJsonSchemaEntriesItemsType
    V2ConnectionsTablesTableIdColumnsGetResponsesContentApplicationJsonSchemaEntriesItemsVisibility:
      type: string
      enum:
        - included
        - hidden
        - removed
      description: >-
        Visibility of the column. If "included", the column is visible. If
        "hidden", the column is hidden but available to be used. If "removed",
        the column has been deleted from the table.
      title: >-
        V2ConnectionsTablesTableIdColumnsGetResponsesContentApplicationJsonSchemaEntriesItemsVisibility
    V2ConnectionsTablesTableIdColumnsGetResponsesContentApplicationJsonSchemaEntriesItems:
      type: object
      properties:
        name:
          type: string
          description: The name of the column in the warehouse table.
        type:
          $ref: >-
            #/components/schemas/V2ConnectionsTablesTableIdColumnsGetResponsesContentApplicationJsonSchemaEntriesItemsType
          description: The column's data type, represented as a recursive type object.
        visibility:
          $ref: >-
            #/components/schemas/V2ConnectionsTablesTableIdColumnsGetResponsesContentApplicationJsonSchemaEntriesItemsVisibility
          description: >-
            Visibility of the column. If "included", the column is visible. If
            "hidden", the column is hidden but available to be used. If
            "removed", the column has been deleted from the table.
        description:
          type: string
          description: The description of the column, if one has been set.
      required:
        - name
        - type
        - visibility
      title: >-
        V2ConnectionsTablesTableIdColumnsGetResponsesContentApplicationJsonSchemaEntriesItems
    connections_listConnectionTableColumns_Response_200:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ConnectionsTablesTableIdColumnsGetResponsesContentApplicationJsonSchemaEntriesItems
          description: Array of results returned by the endpoint
        nextPageToken:
          type: string
          description: >-
            A string that can be passed to the `pageToken` parameter in the next
            request to fetch the next page of results. Not present in the last
            page of results.

            **Must be treated as an opaque string.**
      required:
        - entries
      title: connections_listConnectionTableColumns_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "entries": [
    {
      "name": "customer_id",
      "type": {
        "nullable": false,
        "precision": 10,
        "scale": 0,
        "type": "integer"
      },
      "visibility": "included",
      "description": "Unique identifier for each customer"
    },
    {
      "name": "first_name",
      "type": {
        "length": 50,
        "nullable": false,
        "type": "string"
      },
      "visibility": "included",
      "description": "Customer's first name"
    },
    {
      "name": "last_name",
      "type": {
        "length": 50,
        "nullable": false,
        "type": "string"
      },
      "visibility": "included",
      "description": "Customer's last name"
    },
    {
      "name": "email",
      "type": {
        "length": 100,
        "nullable": true,
        "type": "string"
      },
      "visibility": "included",
      "description": "Customer's email address"
    },
    {
      "name": "created_at",
      "type": {
        "nullable": false,
        "type": "timestamp"
      },
      "visibility": "included",
      "description": "Record creation timestamp"
    }
  ],
  "nextPageToken": "eyJwYWdlIjoxfQ=="
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/connections/tables/tableId/columns"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/connections/tables/tableId/columns';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/connections/tables/tableId/columns"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/connections/tables/tableId/columns")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/connections/tables/tableId/columns")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/connections/tables/tableId/columns', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/connections/tables/tableId/columns");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/connections/tables/tableId/columns")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```